<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no" />
  <meta name="description" content="" />
  <meta name="author" content="" />
  <title>Services</title>
  <!-- Favicon-->
  <link rel="icon" type="image/x-icon" href="/static/assets/favicon.ico" />
  <script th:src="@{/js/jq.js}"></script>
  <!-- Font Awesome icons (free version)-->
  <script th:src="@{https://use.fontawesome.com/releases/v6.3.0/js/all.js}" crossorigin="anonymous"></script>
  <!-- Google fonts-->
  <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700" rel="stylesheet" type="text/css" />
  <link href="https://fonts.googleapis.com/css?family=Roboto+Slab:400,100,300,700" rel="stylesheet" type="text/css" />
  <!-- Core theme CSS (includes Bootstrap)-->
  <link th:href="@{/css/styles.css}" rel="stylesheet" />
  <link th:href="@{/css/Service.css}" rel="stylesheet" />
  <style>

    .button-container {
      display: flex;
      justify-content: center; /* or space-between, or other values depending on your desired layout */
    }
  </style>
</head>
<body id="page-top">
<!-- Navigation-->
<nav th:replace="~{/fragments/navbar :: navbar}">Heather fragment</nav>
<!-- Contact-->
<section class="page-section" id="contact">
  <div class="container">
    <div class="text-center">
      <h2 class="section-heading text-uppercase" th:text="#{create.service}">Contact Us</h2>
    </div>
    <form id="contactForm" th:action="@{/services/new}" method="post" th:object="${service}">
      <div class="row align-items-stretch mb-5">
        <div class="col-md-6">
          <div class="form-group text-center">
            <!-- Name input-->
            <label class="error-service" th:text="${error}">Error</label>
            <label class="error-service" th:errors="*{serviceName}" th:text="${error}">Error</label>
            <input class="form-control" type="text" th:field="*{serviceName}" placeholder="Service name"/>
          </div>
          <div class="form-group">
            <!-- Price input-->
            <label class="error-service" th:errors="*{price}" th:text="${error}">Error</label>
            <input class="form-control" type="number" th:field="*{price}" placeholder="Price"/>
          </div>
          <div class="form-group mb-md-0">
            <!-- Category input-->
            <label class="error-service" th:errors="*{categoryId}" th:text="${error}">Error</label>
              <select class="form-control" th:field="*{categoryId}" >
                <option th:value='0' selected="selected" style=" display: none;">Category</option>
                <option th:each="cat : ${allCategories}" th:value="${cat.id}" th:text="${cat.getCategoryName()}"></option>
              </select>
          </div>
        </div>
      </div>
      <div class="button-container">
        <button class="btn btn-primary btn-xl text-uppercase" id="submitButton" type="submit" th:text="#{btn.create}">Create</button>
      </div>
    </form>
  </div>
    <form th:action="@{/services}" style="display: inline-block;" method="get" >
      <div class="button-container">
         <button class="btn btn-primary btn-xl text-uppercase" id="cancelButton" type="submit" th:text="#{btn.cancel}">Cancel</button>
      </div>
    </form>
</section>
<!-- Footer-->
<footer class="footer py-4">
  <div class="container">
    <div class="row align-items-center">
      <div class="col-lg-4 text-lg-start">Copyright &copy; Your Website 2023</div>
      <div class="col-lg-4 my-3 my-lg-0">
        <a class="btn btn-dark btn-social mx-2" href="#!" aria-label="Twitter"><i class="fab fa-twitter"></i></a>
        <a class="btn btn-dark btn-social mx-2" href="#!" aria-label="Facebook"><i class="fab fa-facebook-f"></i></a>
        <a class="btn btn-dark btn-social mx-2" href="#!" aria-label="LinkedIn"><i class="fab fa-linkedin-in"></i></a>
      </div>
      <div class="col-lg-4 text-lg-end">
        <a class="link-dark text-decoration-none me-3" href="#!">Privacy Policy</a>
        <a class="link-dark text-decoration-none" href="#!">Terms of Use</a>
      </div>
    </div>
  </div>
</footer>

<script th:src="@{https://cdn.jsdelivr.net/npm/bootstrap5.2.3/dist/js/bootstrap.bundle.min.js}"></script>
<!-- Core theme JS-->
<script th:src="@{/js/scripts.js}"></script>
<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *-->
<!-- * *                               SB Forms JS                               * *-->
<!-- * * Activate your form at https://startbootstrap.com/solution/contact-forms * *-->
<!-- * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *-->
<script th:src="@{https://cdn.startbootstrap.com/sb-forms-latest.js}"></script>
</body>
</html>